<div class="plc user">
   	 <div class="plc-menu">
        	通知单工单处理
    </div>
        <div class="move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect,'px-client-with-resourceOperatorMaintenance-move-module':config.isShwoMeReceiveOrderBtn,'px-client-without-resourceOperatorMaintenance-move-module':!config.isShwoMeReceiveOrderBtn}">
    <div class="plc-content output-statement-heading">
        <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon-form">
                    <div class="public-horizon">
                        <label class="horizon-label label-6">生产区域：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                <input ng-init="focusInput=false" ng-focus="focusInput=true"
                                       ng-blur="focusInput=false"
                                       type="text" value="" placeholder="搜索" class="form-control ad-left-child"
                                       ng-disabled="true"
                                       ng-model="config.currentWorkCenterDesc" ng-change="disableBtn()"
                                       ng-keyup="upModel('workArea')">
                                <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()"
                                   ng-if="config.showSelectArea"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')"
                                   ng-if="!config.showSelectArea"></i>
                            </div>
                        </div>
                        <label class="horizon-label label-4"><span class="text-red" ng-if="config.showLine">*</span>拉线：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                       ng-keyup="upModel('workLine')" ng-disabled="true"
                                       ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                       class="form-control ad-left-child" ng-model="config.currentLineDesc"
                                       ng-change="lineChanged('T')">
                                <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                   ng-if="config.showSelectLine"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                   ng-if="!config.showSelectLine"></i>
                            </div>
                        </div>


                        <label class="horizon-label label-6">设备类型：</label>
                        <!--<div class="horizon-group horizon-col-1-2">-->

                        <!--<ui-select class="andon-content-ui-select" ng-change="deviceTypeChanged('T');"-->
                        <!--ng-model="statementConfig.currentDeviceType">-->
                        <!--<ui-select-match placeholder="-&#45;&#45; 请选择 -&#45;&#45;">-->
                        <!--&lt;!&ndash;statementConfig.currentDeviceType.resourceType ||&ndash;&gt;-->
                        <!--<span ng-bind="statementConfig.currentDeviceType.description"></span>-->
                        <!--</ui-select-match>-->
                        <!--<ui-select-no-choice>-->
                        <!--<a href ng-click="$select.toggle($event);">暂无数据</a>-->
                        <!--</ui-select-no-choice>-->
                        <!--<ui-select-choices-->
                        <!--repeat="item in (statementConfig.deviceTypes | filter: $select.search) track by $index">-->
                        <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                        <!--</ui-select-choices>-->
                        <!--</ui-select>-->
                        <!--</div>-->
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper"
                                 ng-class="{'focus':(deviceTypeInput)}">
                                <input ng-init="deviceTypeInput=false" ng-focus="deviceTypeInput=true"
                                       ng-keyup="upModel('deviceCode')" ng-disabled="true"
                                       ng-blur="deviceTypeInput=false" type="text"
                                       value="" placeholder="搜索" class="form-control ad-left-child"
                                       ng-model="config.currentDeviceTypeDesc"
                                       ng-change="deviceTypeChanged('T')">
                                <i class="fa fa-search ad-right-child focus" ng-click="toDeviceTypeHelp()"
                                   ng-if="config.deviceType"></i>
                                <i class="ion-ios-close-outline ad-right-child focus"
                                   ng-click="deleteAll('deviceType')" ng-if="!config.deviceType"></i>
                            </div>
                        </div>
                        <label class="horizon-label label-6">设备：</label>
		                <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                           ng-keyup="upModel()" ng-disabled="false"
                                           ng-blur="deviceInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="config.resource" ng-change="disableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="searchResource()"
                                       ng-if="config.resourceSeacrhIcon"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceCode')" ng-if="!config.resourceSeacrhIcon"></i>
                                </div>
                        </div>
                        <div class="horizon-btns" style="margin-left: 130px">
                            <button class="btn btn-primary" ng-click="queryData()" ng-disabled="config.queryBtn">查询</button>
                        </div>
                    </div>
                    <div class="public-horizon">
                        <div class="horizon-group horizon-col-2">
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio1"
                                           name="identityDate" ng-click="selectedType('F')"
                                           ng-checked="true" />
                                    <label for="dateRadio1"> 未完成单据 </label>
                                </div>
                            </div>
                        </div>
                        <div class="horizon-group">
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio2"
                                           name="identityDate" ng-click="selectedType('E')">
                                    <label for="dateRadio2" > 已完成-待录入CM维修分析结果 </label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="public-horizon">
                        <div class="horizon-btns" style="margin-left: 15px;">
                            <button class="btn btn-primary" ng-click="meReceiveOrder()" ng-if="config.isShwoMeReceiveOrderBtn">接单</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <move-template></move-template>
    <div class="plc-content plato-statement-content">
 		<div ng-show="workOrderGrid.data.length>0" id="plc-data-item-grid-area" ui-grid="workOrderGrid" ui-grid-selection ng-style="getHeight()"
              ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
              class="plc-data-item-grid ad-basic-grid" >
         </div>
    </div>
</div>
